<!-- source material for r/footer_fetish -->
<footer>
    <div class="footer-flex">
        <div class="socials">
            <p>Find us on:</p>
            <a href="https://mastodon.online/@jnktn_tv" rel="me noopener" target="_blank"><img
                    class="footer-icons" src="{{ url_for('/assets/icon/mastodon.svg') }}" alt="Mastodon"
                    title="Follow our Mastodon account. It is a social networking platform without ads and user tracking." /></a>
            <a href="https://www.instagram.com/jnktn.tv/" rel="me noopener" target="_blank"><img
                    class="footer-icons" src="{{ url_for('/assets/icon/instagram.svg') }}" alt="Instagram"
                    title="Follow us on the Instagram to get informed of each week's schedule." /></a>
            <a href="https://codeberg.org/jnktn" rel="me noopener" target="_blank"><img
                    class="footer-icons" src="{{ url_for('/assets/icon/codeberg.svg') }}" alt="Codeberg"
                    title="Check the source of our website and other open-source tools we develop on Codeberg."></a>
            <a href="https://jnktn.teemill.com" rel="noopener" target="_blank"><img
                    class="footer-icons" src="{{ url_for('/assets/icon/teemill.svg') }}" alt="Teemill"
                    title="Get the lovely Jnktn.tv merch, all made by Teemill."></a>
            <a href="https://ko-fi.com/jnktntv" rel="noopener" target="_blank"><img class="footer-icons"
                    src="{{ url_for('/assets/icon/kofi.svg') }}" alt="kofi"
                    title="Buy a ko-fi for the Jnktn.tv and help us pay for infrastructure."></a>
            <a href="https://opencollective.com/jnktn-tv" rel="noopener" target="_blank"><img
                    class="footer-icons" src="{{ url_for('/assets/icon/opencollective.svg') }}" alt="Open Collective"
                    title="Our contribution to other open-source projects."></a>
            <a href="https://liberapay.com/Jnktn.tv/donate" rel="noopener" target="_blank"><img
                    class="footer-icons" src="{{ url_for('/assets/icon/liberapay.svg') }}" alt="Liberapay"
                    title="Help the sustainability of Jnktn.tv for just a few cents per week using Liberapay."></a>
        </div>

        <div class="owncast">
            <p>Powered by:</p>
            <a href="https://owncast.online" rel="noopener" target="_blank"><img class="footer-icons"
                    src="{{ url_for('/assets/icon/owncast.svg') }}" alt="Owncast"
                    title="Owncast is a self-hosted live video server which we use as a part of our platform."></a>
        </div>
    </div>

    <div class="license">
        {% if(site.data['env']['hash']) %}
            {% set repo_url = "https://codeberg.org/" + site.data['env']['user_repo'] + "/src/commit/" + site.data['env']['hash'] %}
        {% else %}
            {% set repo_url = "https://codeberg.org/jnktn/jnktn.tv" %}
        {% endif %}

        <p>&copy; 2020-2024 Jnktn.tv distributed under the terms of&nbsp;<a
                href="https://www.gnu.org/licenses/agpl-3.0.html" rel="noopener" target="_blank">AGPL-3.0</a>+
            license. (<a href="{{ repo_url }}" rel="noopener" target="_blank">source</a>)
        </p>
    </div>

    {% if config.footer_urls %}
        {% set further_url_joiner = joiner('|') %}
        <div class="further-links">
            {% for text, url in config.footer_urls %}
                {{ further_url_joiner() }} <a href="{{ url_for(url) }}">{{ text }}</a>
            {% endfor %}
        </div>
    {% endif %}
</footer>
